Bug 55185 - HP-UX interaction with RedHat 7.1 lockd causes kernel oops
Summary: HP-UX interaction with RedHat 7.1 lockd causes kernel oops
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-26 19:09 UTC by Bob Farmer
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 20:32:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob Farmer 2001-10-26 19:09:08 UTC
Description of problem:
Using an HP-UX 11.0 (J6700 workstation) machine as an NFS client to a
RedHat 7.1 machine causes the RedHat machine to begin logging messages such
as these:

Oct 24 17:46:25 nas kernel: nfsd: request from insecure port
(c0a801d2:49226)!

Eventually (but not necessarily immediately, or every time), this will
cause the RedHat system to get a kernel oops (in the lockd module) and lock
up.

The problem can be fixed by adding the "insecure" option to the exports
file on the RedHat machine, but there is still the crash bug.


How reproducible:
Always

Steps to Reproduce:
1. Install an HP-UX 11.0 machine
2. Export a filesystem from a RedHat 7.1 server to the HP-UX machine, with
just the "rw" option, nothing special.
3. Set up the HP-UX machine to act as an NFS client to the RedHat server,
default options, nothing special.
4. Begin running programs on the HP-UX machine that use file locking.
5. On the RedHat server, you should begin receiving the "request from
insecure port" messages from nfsd/lockd.
6. After enough of them (2-3 in our case), you should see things like NFS
stop working altogether, kernel oops from lockd, and/or system crash/hang,
etc.

Comment 1 Suzanne Hillman 2004-02-11 20:32:06 UTC
7.1 no longer supported. Closing.


Note You need to log in before you can comment on or make changes to this bug.